Filewatcher File Search File Search
Content Search
» » » » »


A general hypertext cross-referencing tool

The Linux Cross-Reference project is the testbed application of a general hypertext cross-referencing tool. (Or the other way around.)

The main goal of the project is to create a versatile cross-referencing tool for relatively large code repositories. The project is based on stock web technology, so the codeview client may be chosen from the full range of available web browsers. On the server side, the prototype range of available web browsers. On the server side, the Apache webserver with mod-perl is required. The prototype implementation is running on a dual Pentium Pro Linux box.)

The main feature of the indexer is of course the ability to jump easily to the declaration of any global identifier. Indeed, even all references to global identifiers are indexed. Quick access to function declarations, data (type) definitions and preprocessor macros makes code browsing just that tad more convenient. At-a-glance overview of e.g. which code areas that will be affected by changing a function or type definition should also come in useful during development and debugging.

Other bits of hypertextual sugar, such as e-mail and include file links, are provided as well, but is on the whole, well, sugar. Some minimal visual markup is also done (using also Style sheets).

Package version:0.9.5+cvs20071020-1+lenny1


lxr: Linux Cross-Reference Project for Debian

Upgrade from 0.9.2 or previous versions

There are a lot of changes in paths:
- Now the configuration and templates are in /etc/lxr-cvs
- genxref is in /usr/bin and you can run it from anywhere

Upgrade from 0.9.4-1

In mysql5 "release" is a res


genxref(1)                 LXR User Manual                genxref(1)

       genxref - generates LXR database cross-reference tokens

       genxref [option...]

       The  genxref  program  automatically  generates  LXR database
       cross-reference tokens for a set of URL configuration  blocks
       and  source  code  versions.   These  are both defined in the


lxr-cvs (0.9.5+cvs20071020-1+lenny1) stable-security; urgency=high

  * Fix several XSS vulnerabilities: CVE-2010-1625, CVE-2010-1738,
    CVE-2010-1448, CVE-2009-4497.

 -- Sebastien Delafond <>  Sun, 18 Jul 2010 18:10:34 +0200

lxr-cvs (0.9.5+cvs20071020-1) unstable; urgency=low

  * Update package version (last cvs was already based on 0.9.5)
  * add debian/watch
  * add /etc/apac


This package was debianized by Giacomo Catenazzi <> on
Thu,  3 Apr 2002 16:07:19 +010


See for a list of known bugs and 
how to report bugs you fin

Browse inside lxr-cvs_0.9.5+cvs20071020-1+lenny1_all.deb

         [DIR]DEBIAN/ (3)  65535+ mirrors
         [DIR]etc/ (2)  65535+ mirrors
         [DIR]usr/ (3)  65535+ mirrors
         [DIR]var/ (1)  56408+ mirrors

Download lxr-cvs_0.9.5+cvs20071020-1+lenny1_all.deb

Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2016